#include "module.h"
#include "bundle.h"
#include "log_impl.h"

namespace NFusion {
    bool TExtBuilderExecutor::DoMerge(NRtDoc::TBuilderTaskResult& result, const NRtDoc::TBuilderTask& args, ITaskTrace::TPtr logger) {
        TLog* log = logger->GetProgressLogger();
        auto task = MakeIntrusive<TExtBuilderTask>(args, Stop_, &AssertPolicy_, log);
        return task->Run(result);
    }
}
